### Method

# Gio FilenameCompleter set_dirs_only

#### Declaration [src]

    void
    g_filename_completer_set_dirs_only (
      GFilenameCompleter* completer,
      gboolean dirs_only
    )

#### Description [src]

If `dirs_only` is `TRUE`, `completer` will only complete directory names, and not file names.

This function needs to be called before waiting for results from the completer to be populated.

#### Parameters

`dirs_only`

  Type: `gboolean`

  A #gboolean.